# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

%define name	php-manual-fr
%define version	4.3.10
%define release 1mdk

Summary:	The PHP Manual in the French language
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Books/Other
License:	PHP License
URL:		http://www.php.net/distributions/manual/
Source:		http://www.php.net/distributions/manual/php_manual_fr.tar.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
The PHP Manual in the French (fr) language.

%prep

%setup -q -c -n php_manual_fr

# fix perms
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# clean up cvs junk		
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}/var/www/html/addon-modules
pushd %{buildroot}/var/www/html/addon-modules
    ln -s  ../../../..%{_docdir}/php-manual-fr-%{version} php-manual-fr-%{version}
popd

find | sed 's/^/%doc /' | grep -v '\./%{name}.filelist' > %{name}.filelist

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.filelist
%defattr(-,root,root)
/var/www/html/addon-modules/php-manual-fr*

%changelog
* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- new release
- drop locales deps, it's not required...

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- initial mandrake package
